import React, { ReactNode } from "react";
import { PlaybackInterface } from "../../../audio/Playback";
interface IProps {
    playback: PlaybackInterface;
    tabIndex?: number;
    disabled?: boolean;
}
interface IState {
    percentage: number;
}
export default class SeekBar extends React.PureComponent<IProps, IState> {
    private animationFrameFn;
    static defaultProps: {
        tabIndex: number;
        disabled: boolean;
    };
    constructor(props: IProps);
    private doUpdate;
    left(): void;
    right(): void;
    private onChange;
    private onMouseDown;
    render(): ReactNode;
}
export {};
